Bug 178417 - missing iportant header files form the devel package
missing iportant header files form the devel package
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iptables (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-01-20 07:00 EST by Levente Farkas
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 16:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2006-01-20 07:00:07 EST
Description of problem:
in the iptables-devel packages the most important header files are missing like:
without it no one can install any new ipbales module like:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
please include them in the devel package.

Additional info:
Comment 1 Greg Swallow 2006-03-28 13:39:40 EST
This just bit me too.  I see it is fixed in FC5:
* Tue Jan 24 2006 Thomas Woerner <twoerner@redhat.com> 1.3.4-3
- added important iptables header files to devel package

Building ipp2p (ipp2p.org) and linux-igd (linux-igd.sourceforge.net) also need 
these headers.

Do you want me/someone to supply a patch?
Comment 2 Greg Swallow 2006-08-22 12:24:24 EDT
Another related issue - This bug -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=181982 - is not fixed yet
in Rawhide, but it is also needed as the patch done in version 1.3.4-3 is not
sufficient to build linux-igd.

Comment 3 RHEL Product and Program Management 2006-09-05 15:47:16 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 4 RHEL Product and Program Management 2006-09-05 16:01:02 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.